apiVersion: batch/v1
kind: Job
metadata:
  name: topo2topo
  namespace: vitess
spec:
  template:
    spec:
      containers:
      - name: topo2topo
        image: debian:latest
        env:
        # From
        - name: FROM_TOPO
          value: "etcd2"
        - name: FROM_SERVER
          value: "minds-etcd-0bf9f4a0-client.vitess.svc.cluster.local:2379"
        - name: FROM_ROOT
          value: "/vitess/minds/global"
        # To
        - name: TO_TOPO
          value: "zk2"
        - name: TO_SERVER
          value: "pulsar-zookeeper-lb.pulsar.svc.cluster.local:2181"
        - name: TO_ROOT
          value: "/vitess/minds/global"
        command:
        - /bin/sh
        - -c
        - |
          apt-get update && apt-get install -y wget
          wget https://github.com/vitessio/vitess/releases/download/v14.0.4/vitess_14.0.4-7fafc94_amd64.deb
          dpkg -i vitess_14.0.4-7fafc94_amd64.deb

          topo2topo --from_implementation $FROM_TOPO --from_server $FROM_SERVER --from_root $FROM_ROOT --to_implementation $TO_TOPO --to_server $TO_SERVER --to_root $TO_ROOT -do-keyspaces -do-routing-rules -do-shards -do-shard-replications -do-tablets
      restartPolicy: Never
  backoffLimit: 1